Apache-AuthenRadius

Metadata

Analyzed metadata and errors of Apache-AuthenRadius.

{
   "abstracts_in_pod" : {
      "Apache::AuthenRadius" : "Authentication via a Radius server"
   },
   "author" : "DANIEL",
   "buildfile_executable" : 0,
   "dir_t" : "t",
   "dirs_array" : [
      "t",
      "t"
   ],
   "dist" : "Apache-AuthenRadius",
   "dynamic_config" : 0,
   "error" : {},
   "extension" : "tar.gz",
   "extractable" : 1,
   "extracts_nicely" : 1,
   "file__build" : 0,
   "file_blib" : 0,
   "file_build" : 0,
   "file_changelog" : "Changes",
   "file_makefile" : 0,
   "file_makefile_pl" : "Makefile.PL",
   "file_manifest" : "MANIFEST",
   "file_meta_yml" : "META.yml",
   "file_pm_to_blib" : 0,
   "file_readme" : "README",
   "files_array" : [
      "AuthenRadius.pm",
      "Changes",
      "MANIFEST",
      "META.yml",
      "Makefile.PL",
      "README",
      "t/00use.t",
      "t/pod-coverage.t",
      "t/pod.t"
   ],
   "files_hash" : {
      "AuthenRadius.pm" : {
         "license" : "Perl_5",
         "module" : "Apache::AuthenRadius",
         "mtime" : 1157421405,
         "required" : [
            "Apache",
            "Apache::Access",
            "Apache::Const",
            "Apache::Constants",
            "Apache::Log",
            "Apache::RequestIO",
            "Apache::RequestRec",
            "Apache::RequestUtil"
         ],
         "size" : 9266,
         "used" : [
            "Authen::Radius",
            "Net::hostent",
            "Socket",
            "mod_perl",
            "strict",
            "vars",
            "warnings"
         ]
      },
      "Changes" : {
         "mtime" : 1157421131,
         "size" : 935
      },
      "MANIFEST" : {
         "mtime" : 1157421431,
         "size" : 166
      },
      "META.yml" : {
         "mtime" : 1157421431,
         "size" : 350
      },
      "Makefile.PL" : {
         "mtime" : 1157421161,
         "size" : 275,
         "used" : [
            "ExtUtils::MakeMaker"
         ]
      },
      "README" : {
         "mtime" : 1157421186,
         "size" : 430
      },
      "t/00use.t" : {
         "mtime" : 1157102089,
         "size" : 665,
         "used" : [
            "Apache::AuthenRadius"
         ]
      },
      "t/pod-coverage.t" : {
         "mtime" : 1157102112,
         "size" : 198,
         "used" : [
            "Test::More",
            "strict",
            "warnings"
         ],
         "used_in_eval" : [
            "Test::Pod::Coverage"
         ]
      },
      "t/pod.t" : {
         "mtime" : 1157102112,
         "size" : 167,
         "used" : [
            "Test::More",
            "strict",
            "warnings"
         ],
         "used_in_eval" : [
            "Test::Pod"
         ]
      }
   },
   "got_prereq_from" : "META.yml",
   "kwalitee" : {
      "buildtool_not_executable" : 1,
      "consistent_version" : 1,
      "distname_matches_name_in_meta" : 1,
      "extractable" : 1,
      "extracts_nicely" : 1,
      "has_abstract_in_pod" : 1,
      "has_buildtool" : 1,
      "has_changelog" : 1,
      "has_human_readable_license" : 1,
      "has_known_license_in_source_file" : 1,
      "has_license_in_source_file" : 1,
      "has_manifest" : 1,
      "has_meta_yml" : 1,
      "has_proper_version" : 1,
      "has_readme" : 1,
      "has_separate_license_file" : 0,
      "has_tests" : 1,
      "has_tests_in_t_dir" : 1,
      "has_version" : 1,
      "kwalitee" : "95.45",
      "manifest_matches_dist" : 1,
      "meta_json_conforms_to_known_spec" : 1,
      "meta_json_is_parsable" : 1,
      "meta_yml_conforms_to_known_spec" : 1,
      "meta_yml_declares_perl_version" : 0,
      "meta_yml_has_license" : 0,
      "meta_yml_has_provides" : 0,
      "meta_yml_has_repository_resource" : 0,
      "meta_yml_is_parsable" : 1,
      "no_abstract_stub_in_pod" : 1,
      "no_broken_auto_install" : 1,
      "no_broken_module_install" : 1,
      "no_dot_dirs" : 1,
      "no_dot_underscore_files" : 1,
      "no_generated_files" : 1,
      "no_invalid_versions" : 1,
      "no_local_dirs" : 1,
      "no_mymeta_files" : 1,
      "no_pax_headers" : 1,
      "no_pod_errors" : 1,
      "no_stdin_for_prompting" : 1,
      "no_symlinks" : 1,
      "package_version_matches_dist_version" : 1,
      "portable_filenames" : 1,
      "proper_libs" : 1,
      "use_strict" : 1,
      "use_warnings" : 1,
      "valid_signature" : 1
   },
   "latest_mtime" : 1157421431,
   "license" : "defined in POD (AuthenRadius.pm)",
   "license_file" : "AuthenRadius.pm",
   "license_in_pod" : 1,
   "license_type" : "Perl_5",
   "licenses" : {
      "Perl_5" : [
         "AuthenRadius.pm"
      ]
   },
   "manifest_matches_dist" : 1,
   "meta_yml" : {
      "distribution_type" : "module",
      "generated_by" : "ExtUtils::MakeMaker version 6.30",
      "installdirs" : "site",
      "meta-spec" : {},
      "name" : "Apache-AuthenRadius",
      "requires" : {
         "Authen::Radius" : "0.06"
      },
      "version" : "0.9",
      "version_from" : "AuthenRadius.pm"
   },
   "meta_yml_is_parsable" : 1,
   "meta_yml_spec_version" : "1.0",
   "modules" : [
      {
         "file" : "AuthenRadius.pm",
         "in_basedir" : 1,
         "in_lib" : 0,
         "module" : "Apache::AuthenRadius"
      }
   ],
   "no_pax_headers" : 1,
   "package" : "Apache-AuthenRadius-0.9.tar.gz",
   "prereq" : [
      {
         "is_prereq" : 1,
         "requires" : "Authen::Radius",
         "type" : "runtime_requires",
         "version" : "0.06"
      }
   ],
   "released_epoch" : 1157421697,
   "size_packed" : 5042,
   "size_unpacked" : 12452,
   "uses" : {
      "required_in_code" : {
         "Apache" : 1,
         "Apache::Access" : 1,
         "Apache::Const" : 1,
         "Apache::Constants" : 1,
         "Apache::Log" : 1,
         "Apache::RequestIO" : 1,
         "Apache::RequestRec" : 1,
         "Apache::RequestUtil" : 1
      },
      "used_in_code" : {
         "Authen::Radius" : 1,
         "Net::hostent" : 1,
         "Socket" : 1,
         "mod_perl" : 1,
         "strict" : 1,
         "vars" : 1,
         "warnings" : 1
      },
      "used_in_config" : {
         "ExtUtils::MakeMaker" : 1
      },
      "used_in_eval_in_tests" : {
         "Test::Pod" : 1,
         "Test::Pod::Coverage" : 1
      },
      "used_in_tests" : {
         "Test::More" : 2,
         "strict" : 2,
         "warnings" : 2
      }
   },
   "valid_signature" : -1,
   "version" : "0.9",
   "versions" : {
      "AuthenRadius.pm" : {
         "Apache::AuthenRadius" : "0.9"
      }
   },
   "vname" : "Apache-AuthenRadius-0.9"
}